> For the complete documentation index, see [llms.txt](https://docs.ante.finance/ante/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ante.finance/ante/v05/how-ante-works.md).

# How Ante works

Ante's design is subject to change as its usage evolves.  **This is meant as a high-level overview of mechanics.** Please read "[Using Ante](/ante/v05/using-ante/navigation.md)" and talk to us on [Twitter](https://twitter.com/AnteFinance) and [Discord](https://t.co/z9vxqMJ77w?amp=1) if you have specific questions.

### Ante Tests and Ante Pools

**Ante Tests** are smart contracts that check custom invariants of other smart contract systems like DeFi projects.

**Ante Pools** hold capital for an associated Ante Test and provide a standard set of functions for users to interact with. Anyone can put capital in an `AntePool` as a **staker** (supporting the invariant passing) or **challenger** (supporting the invariant failing).

{% hint style="info" %}
**Importantly, all staker and challenger capital held in Ante smart contracts is held in a non-custodial way.**
{% endhint %}

### Test Pass/Fail Verification

* Any challenger that has participated in an Ante Pool for at least 12 blocks can "verify" that an Ante Test still passes.
  * This means calling `checkTest()` on the `AntePool`, which calls `checkTestPasses()` on the associated `AnteTest`
  * Checking an Ante Test costs gas to complete the transaction. Ante takes no fee here.
* If the underlying invariant holds, nothing happens except the verifying challenger had to pay gas.
* If the underlying invariant fails (i.e. `checkTestPasses()` returns `False`, all staker capital is locked and claimable by challengers.

### Incentive Mechanisms

For **stakers**: challenger capital undergoes a block-by-block decay (\~100 gwei per block per ETH of challenger capital, roughly 20% of challenger capital per year). This decay is allocated to stakers (if you want a quick ballpark estimate, total challenger capital / total staker capital \* 20% \~= your "APY").

![Stakers are rewarded over time for their continued trust](/files/-MlCn_GdUO3F_Ym9IXnF)

For **challengers**: if a challenger checks the Ante Test and it fails, all staker capital in the corresponding Ante Pool is locked and claimable by challengers, with the verifying challenger receiving an added bonus (5% of staker capital) for being the one to discover the test failure.

![Failed tests reward challengers for identifying risk in the system](/files/-MlCneg2eQ4ITHNeQR4K)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ante.finance/ante/v05/how-ante-works.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
